Update latest registration certificates
curl --request PUT \
--url https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/registration-certificates \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"registrationDate": "2023-12-25",
"licensePlate": "<string>",
"current": true,
"vehicleType": "<string>",
"variant": "<string>",
"engineType": "<string>",
"description": "<string>",
"address": {
"name": "<string>",
"street": "<string>",
"countryCode": "<string>",
"zipCode": "<string>",
"city": "<string>"
}
}
'import requests
url = "https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/registration-certificates"
payload = {
"registrationDate": "2023-12-25",
"licensePlate": "<string>",
"current": True,
"vehicleType": "<string>",
"variant": "<string>",
"engineType": "<string>",
"description": "<string>",
"address": {
"name": "<string>",
"street": "<string>",
"countryCode": "<string>",
"zipCode": "<string>",
"city": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
registrationDate: '2023-12-25',
licensePlate: '<string>',
current: true,
vehicleType: '<string>',
variant: '<string>',
engineType: '<string>',
description: '<string>',
address: {
name: '<string>',
street: '<string>',
countryCode: '<string>',
zipCode: '<string>',
city: '<string>'
}
})
};
fetch('https://api.smartmove.eu/m2m/api/fleets/v1/{assetProviderCountryCode}/{assetProviderCode}/{vehicleId}/registration-certificates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"registrationDate": "2023-12-25",
"licensePlate": "<string>",
"current": true,
"vehicleType": "<string>",
"variant": "<string>",
"engineType": "<string>",
"description": "<string>",
"address": {
"name": "<string>",
"street": "<string>",
"countryCode": "<string>",
"zipCode": "<string>",
"city": "<string>"
},
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"blobFrontSide": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
},
"blobBackSide": {
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filename": "<string>",
"uploaded": false
}
}Registration certificates
Update latest registration certificates
Overwrite only the latest registration certificate of the specified vehicle
PUT
/
api
/
fleets
/
v1
/
{assetProviderCountryCode}
/
{assetProviderCode}
/
{vehicleId}
/
registration-certificates
Update latest registration certificates
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Asset provider country code
Required string length:
2Asset provider code
Required string length:
3Id of vehicle
Body
application/json
Information that the latest registration certificate should be overwritten with
Maximum string length:
255Indicates the classification as the most current one
not defined yet
Maximum string length:
255Available options:
Compact, Convertible, Coupe, OffRoadOrPickUp, StationWagon, Sedans, Van, Transporter, Other not defined yet
Maximum string length:
255not defined yet
Maximum string length:
255Additional description
Maximum string length:
255Show child attributes
Show child attributes
Response
OK
Maximum string length:
255Indicates the classification as the most current one
not defined yet
Maximum string length:
255Available options:
Compact, Convertible, Coupe, OffRoadOrPickUp, StationWagon, Sedans, Van, Transporter, Other not defined yet
Maximum string length:
255not defined yet
Maximum string length:
255Additional description
Maximum string length:
255Show child attributes
Show child attributes
registration certificate id
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
NOT_STARTED, MANUAL, PROCESSING, PROCESSED, ERROR Available options:
NOT_STARTED, MANUAL, PROCESSING, PROCESSED, ERROR ⌘I

